Subject: bug#51550: 29.0.50; Customize Group INS buttons sometimes don't have a left box line

From: Po Lu <[email-masked]>
Date: Wed, 29 Dec 2021 08:33:22 +0800

Eli Zaretskii <[email-masked]> writes:

> But once again, I don't see anything that needs to be fixed in the
> display engine.  Perhaps we need to rethink how the Lisp code sets up
> the buttons as regards to the various faces or something.  IOW, let's
> have a look at how the faces are set on the text in that case, and see
> why we end up with two consecutive faces each one with a :box
> attribute, because this has got to trigger this behavior, which you
> find surprising and possibly incorrect.  The question is: can we
> achieve whatever effect we wanted with the :box attributes without
> losing the button appearance in the process by changing the Lisp code
> there.

Thanks for the explanation, it was very helpful.  Maybe it would work to
put some kind of zero-width character with no face between the start of
the line and the INS buttons?